Summary: Jakarta Regular Expression Package
Name: rhug-jakarta-regexp
Version: 1.2
Release: 1
URL: http://jakarta.apache.org/regexp/
Source: %{name}-%{version}.tar.gz
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: gcc-java
BuildPrereq: libgcj-devel
Requires: libgcj

%description
Regexp is a 100% Pure Java Regular Expression package.  It includes a
simple Applet for visual debugging and testing suite for
compatibility.

%package devel
Summary: Files for developing Regexp applications with gcj.
Group: Development/Libraries
Requires: rhug-jakarta-regexp = %{version}-%{release}

%description devel
The rhug-jakarta-regexp-devel package contains the libraries, headers
and other files you can use to develop applications that use Jakarta
Regexp with gcj.

%prep
%setup -q

%build
./configure --disable-static --prefix=%{_prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/lib*.so*
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.la
%{_bindir}/recompile
# FIXME: Uncomment this with libtool can build static libraries again.
# %{_libdir}/*.a

%changelog
* Fri Nov 22 2002 Gary Benson <gbenson@redhat.com> 1.2-1
- Initial build.
